Skip to navigation

Get all Statuses

View as Markdown
Retrieve the complete list of statuses, optionally filtered by module.

Query parameters

moduleenumOptional
Filter statuses by a specific module.
Allowed values:

Response

List of statuses retrieved successfully.
idintegerOptional

Primary key (Auto-increment)

codestring or nullOptional<=50 characters
Status code identifier
descriptionstring or nullOptional<=100 characters
Full description of the status
finishStatusboolean or nullOptionalDefaults to false

Indicates if the status is a final state (true) or an intermediate state (false)

Errors

500
Internal Server Error